Skip to main content
GET
/
v1
/
agave
/
linked_accounts
/
{linked-account-id}
/
vendors
Retrieve Agave-Vendors for an Agave-LinkedAccount
curl --request GET \
  --url https://api.tread-horizon.com/v1/agave/linked_accounts/{linked-account-id}/vendors \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "data": {
        "id": "<string>",
        "alternate_name": "<string>",
        "status": "Active",
        "name": "<string>",
        "address": {
          "street_1": "<string>",
          "street_2": "<string>",
          "city": "<string>",
          "state": "<string>",
          "country": "<string>",
          "postal_code": "<string>"
        }
      },
      "vendor_account": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "discarded_at": "2023-11-07T05:31:56Z",
        "name": "<string>",
        "account_types": [
          "customer"
        ],
        "external_id": "<string>",
        "accounting_id": "<string>",
        "company": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "schedule_on": true,
        "billing_address": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "thoroughfare": "<string>",
          "premise": "<string>",
          "locality": "<string>",
          "administrative_area": "<string>",
          "postal_code": "<string>",
          "country": "US",
          "lat": "<string>",
          "lon": "<string>",
          "place_id": "<string>"
        },
        "connected_company": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "tread_id": "ABC123",
          "legal_name": "<string>",
          "company_type": "hauler"
        },
        "billing_contact": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "email": "<string>",
          "phone": "+18885551234"
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

linked-account-id
string<uuid>
required

Agave-LinkedAccount ID

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

Response

OK

data
Agave-Vendor-Read · object[]
required